curl --request GET \
--url https://apix.us.amity.co/api/v1/invitations \
--header 'Authorization: Bearer <token>'{
"invitations": [
{
"_id": "<string>",
"networkId": "<string>",
"type": "communityMemberInvite",
"targetId": "<string>",
"targetType": "community",
"userId": "<string>",
"status": "pending",
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"invitationId": "<string>",
"invitedUserId": "<string>",
"invitedUserPublicId": "<string>",
"invitedUserInternalId": "<string>",
"inviterUserId": "<string>",
"inviterUserPublicId": "<string>",
"inviterUserInternalId": "<string>",
"respondedAt": "2023-11-07T05:31:56Z",
"communityId": "<string>"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [
"MUTE_CHANNEL"
],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"paging": {
"next": "<string>",
"previous": "<string>"
}
}Retrieves a paginated list of invitations that belong to a specific community.
curl --request GET \
--url https://apix.us.amity.co/api/v1/invitations \
--header 'Authorization: Bearer <token>'{
"invitations": [
{
"_id": "<string>",
"networkId": "<string>",
"type": "communityMemberInvite",
"targetId": "<string>",
"targetType": "community",
"userId": "<string>",
"status": "pending",
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"invitationId": "<string>",
"invitedUserId": "<string>",
"invitedUserPublicId": "<string>",
"invitedUserInternalId": "<string>",
"inviterUserId": "<string>",
"inviterUserPublicId": "<string>",
"inviterUserInternalId": "<string>",
"respondedAt": "2023-11-07T05:31:56Z",
"communityId": "<string>"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [
"MUTE_CHANNEL"
],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"paging": {
"next": "<string>",
"previous": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://learn.social.plus/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter invitations by type
communityMemberInvite, livestreamCohostInvite Filter by target entity type
community, room Filter by specific target entity ID
900Pagination after cursor
24Pagination before cursor
24Number of results per page (positive integer)
x >= 1Pagination token
1000Filter invitations by status (array, optional)
pending, approved, rejected, cancelled Sort invitations by field (optional)
_id, createdAt, respondedAt Sort order (optional)
asc, desc